lunes, 31 de marzo de 2008

VLC:No suitable decoder module for fourcc `XVID'

Recientemente he tenido problemas para la reproducción de archivos avi, codificados con xvid.

Usando el comando: vlc -vvv --no-plugin-cache
Obtenia el siguiente error: cannot load module `/usr/lib/vlc/codec/libffmpeg_plugin.so' (libmp4v2.so.0: cannot open shared object file: No such file or directory).

Para ver el software instalado ejecutamos como usuario normal:
zypper se libmp4


El problema es debido a que tengo dos repositorios para el paquete libmp4v2, el de vlc y el packman, las versiones en cada uno de ellos es diferente.

La versión instalada procede del repositorio del packman libmp4v2 (version 1.5.0.1-10.pm.0) .
la desinstalamos como root y con el comando
zypper rm libmp4v2

Procedemos a instalar la versión del repositorio de VLC con:
zypper in libmp4v2-0

Realizando estos pasos deberiamo poder visualizar correctamente los archivos avi en el reproductor VLC

No hay comentarios: